"SfR Fresh" - the SfR Freeware/Shareware Archive 
Member "slirp-1.0.16/src/configure" of archive slirp-1.0.16.tar.gz:
As a special service "SfR Fresh" has tried to format the requested source page into HTML format using source code syntax highlighting with prefixed line numbers.
Alternatively you can here view or download the uninterpreted source code file.
That can be also achieved for any archive member file by clicking within an archive contents listing on the first character of the file(path) respectively on the according byte size field.
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --disable-ppp don't compile in ppp"
16
17 # Initialize some variables set by options.
18 # The variables have the same names as the options, with
19 # dashes changed to underlines.
20 build=NONE
21 cache_file=./config.cache
22 exec_prefix=NONE
23 host=NONE
24 no_create=
25 nonopt=NONE
26 no_recursion=
27 prefix=NONE
28 program_prefix=NONE
29 program_suffix=NONE
30 program_transform_name=s,x,x,
31 silent=
32 site=
33 srcdir=
34 target=NONE
35 verbose=
36 x_includes=NONE
37 x_libraries=NONE
38 bindir='${exec_prefix}/bin'
39 sbindir='${exec_prefix}/sbin'
40 libexecdir='${exec_prefix}/libexec'
41 datadir='${prefix}/share'
42 sysconfdir='${prefix}/etc'
43 sharedstatedir='${prefix}/com'
44 localstatedir='${prefix}/var'
45 libdir='${exec_prefix}/lib'
46 includedir='${prefix}/include'
47 oldincludedir='/usr/include'
48 infodir='${prefix}/info'
49 mandir='${prefix}/man'
50
51 # Initialize some other variables.
52 subdirs=
53 MFLAGS= MAKEFLAGS=
54 SHELL=${CONFIG_SHELL-/bin/sh}
55 # Maximum number of lines to put in a shell here document.
56 ac_max_here_lines=12
57
58 ac_prev=
59 for ac_option
60 do
61
62 # If the previous option needs an argument, assign it.
63 if test -n "$ac_prev"; then
64 eval "$ac_prev=\$ac_option"
65 ac_prev=
66 continue
67 fi
68
69 case "$ac_option" in
70 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
71 *) ac_optarg= ;;
72 esac
73
74 # Accept the important Cygnus configure options, so we can diagnose typos.
75
76 case "$ac_option" in
77
78 -bindir | --bindir | --bindi | --bind | --bin | --bi)
79 ac_prev=bindir ;;
80 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
81 bindir="$ac_optarg" ;;
82
83 -build | --build | --buil | --bui | --bu)
84 ac_prev=build ;;
85 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
86 build="$ac_optarg" ;;
87
88 -cache-file | --cache-file | --cache-fil | --cache-fi \
89 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
90 ac_prev=cache_file ;;
91 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
92 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
93 cache_file="$ac_optarg" ;;
94
95 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
96 ac_prev=datadir ;;
97 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
98 | --da=*)
99 datadir="$ac_optarg" ;;
100
101 -disable-* | --disable-*)
102 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
103 # Reject names that are not valid shell variable names.
104 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
105 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
106 fi
107 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
108 eval "enable_${ac_feature}=no" ;;
109
110 -enable-* | --enable-*)
111 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
112 # Reject names that are not valid shell variable names.
113 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
114 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
115 fi
116 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
117 case "$ac_option" in
118 *=*) ;;
119 *) ac_optarg=yes ;;
120 esac
121 eval "enable_${ac_feature}='$ac_optarg'" ;;
122
123 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
124 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
125 | --exec | --exe | --ex)
126 ac_prev=exec_prefix ;;
127 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
128 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
129 | --exec=* | --exe=* | --ex=*)
130 exec_prefix="$ac_optarg" ;;
131
132 -gas | --gas | --ga | --g)
133 # Obsolete; use --with-gas.
134 with_gas=yes ;;
135
136 -help | --help | --hel | --he)
137 # Omit some internal or obsolete options to make the list less imposing.
138 # This message is too long to be a string in the A/UX 3.1 sh.
139 cat << EOF
140 Usage: configure [options] [host]
141 Options: [defaults in brackets after descriptions]
142 Configuration:
143 --cache-file=FILE cache test results in FILE
144 --help print this message
145 --no-create do not create output files
146 --quiet, --silent do not print \`checking...' messages
147 --version print the version of autoconf that created configure
148 Directory and file names:
149 --prefix=PREFIX install architecture-independent files in PREFIX
150 [$ac_default_prefix]
151 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
152 [same as prefix]
153 --bindir=DIR user executables in DIR [EPREFIX/bin]
154 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
155 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
156 --datadir=DIR read-only architecture-independent data in DIR
157 [PREFIX/share]
158 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
159 --sharedstatedir=DIR modifiable architecture-independent data in DIR
160 [PREFIX/com]
161 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
162 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
163 --includedir=DIR C header files in DIR [PREFIX/include]
164 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
165 --infodir=DIR info documentation in DIR [PREFIX/info]
166 --mandir=DIR man documentation in DIR [PREFIX/man]
167 --srcdir=DIR find the sources in DIR [configure dir or ..]
168 --program-prefix=PREFIX prepend PREFIX to installed program names
169 --program-suffix=SUFFIX append SUFFIX to installed program names
170 --program-transform-name=PROGRAM
171 run sed PROGRAM on installed program names
172 EOF
173 cat << EOF
174 Host type:
175 --build=BUILD configure for building on BUILD [BUILD=HOST]
176 --host=HOST configure for HOST [guessed]
177 --target=TARGET configure for TARGET [TARGET=HOST]
178 Features and packages:
179 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
180 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
181 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
182 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
183 --x-includes=DIR X include files are in DIR
184 --x-libraries=DIR X library files are in DIR
185 EOF
186 if test -n "$ac_help"; then
187 echo "--enable and --with options recognized:$ac_help"
188 fi
189 exit 0 ;;
190
191 -host | --host | --hos | --ho)
192 ac_prev=host ;;
193 -host=* | --host=* | --hos=* | --ho=*)
194 host="$ac_optarg" ;;
195
196 -includedir | --includedir | --includedi | --included | --include \
197 | --includ | --inclu | --incl | --inc)
198 ac_prev=includedir ;;
199 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
200 | --includ=* | --inclu=* | --incl=* | --inc=*)
201 includedir="$ac_optarg" ;;
202
203 -infodir | --infodir | --infodi | --infod | --info | --inf)
204 ac_prev=infodir ;;
205 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
206 infodir="$ac_optarg" ;;
207
208 -libdir | --libdir | --libdi | --libd)
209 ac_prev=libdir ;;
210 -libdir=* | --libdir=* | --libdi=* | --libd=*)
211 libdir="$ac_optarg" ;;
212
213 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
214 | --libexe | --libex | --libe)
215 ac_prev=libexecdir ;;
216 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
217 | --libexe=* | --libex=* | --libe=*)
218 libexecdir="$ac_optarg" ;;
219
220 -localstatedir | --localstatedir | --localstatedi | --localstated \
221 | --localstate | --localstat | --localsta | --localst \
222 | --locals | --local | --loca | --loc | --lo)
223 ac_prev=localstatedir ;;
224 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
225 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
226 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
227 localstatedir="$ac_optarg" ;;
228
229 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
230 ac_prev=mandir ;;
231 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
232 mandir="$ac_optarg" ;;
233
234 -nfp | --nfp | --nf)
235 # Obsolete; use --without-fp.
236 with_fp=no ;;
237
238 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
239 | --no-cr | --no-c)
240 no_create=yes ;;
241
242 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
243 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
244 no_recursion=yes ;;
245
246 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
247 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
248 | --oldin | --oldi | --old | --ol | --o)
249 ac_prev=oldincludedir ;;
250 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
251 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
252 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
253 oldincludedir="$ac_optarg" ;;
254
255 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
256 ac_prev=prefix ;;
257 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
258 prefix="$ac_optarg" ;;
259
260 -program-prefix | --program-prefix | --program-prefi | --program-pref \
261 | --program-pre | --program-pr | --program-p)
262 ac_prev=program_prefix ;;
263 -program-prefix=* | --program-prefix=* | --program-prefi=* \
264 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
265 program_prefix="$ac_optarg" ;;
266
267 -program-suffix | --program-suffix | --program-suffi | --program-suff \
268 | --program-suf | --program-su | --program-s)
269 ac_prev=program_suffix ;;
270 -program-suffix=* | --program-suffix=* | --program-suffi=* \
271 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
272 program_suffix="$ac_optarg" ;;
273
274 -program-transform-name | --program-transform-name \
275 | --program-transform-nam | --program-transform-na \
276 | --program-transform-n | --program-transform- \
277 | --program-transform | --program-transfor \
278 | --program-transfo | --program-transf \
279 | --program-trans | --program-tran \
280 | --progr-tra | --program-tr | --program-t)
281 ac_prev=program_transform_name ;;
282 -program-transform-name=* | --program-transform-name=* \
283 | --program-transform-nam=* | --program-transform-na=* \
284 | --program-transform-n=* | --program-transform-=* \
285 | --program-transform=* | --program-transfor=* \
286 | --program-transfo=* | --program-transf=* \
287 | --program-trans=* | --program-tran=* \
288 | --progr-tra=* | --program-tr=* | --program-t=*)
289 program_transform_name="$ac_optarg" ;;
290
291 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
292 | -silent | --silent | --silen | --sile | --sil)
293 silent=yes ;;
294
295 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
296 ac_prev=sbindir ;;
297 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
298 | --sbi=* | --sb=*)
299 sbindir="$ac_optarg" ;;
300
301 -sharedstatedir | --sharedstatedir | --sharedstatedi \
302 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
303 | --sharedst | --shareds | --shared | --share | --shar \
304 | --sha | --sh)
305 ac_prev=sharedstatedir ;;
306 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
307 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
308 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
309 | --sha=* | --sh=*)
310 sharedstatedir="$ac_optarg" ;;
311
312 -site | --site | --sit)
313 ac_prev=site ;;
314 -site=* | --site=* | --sit=*)
315 site="$ac_optarg" ;;
316
317 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
318 ac_prev=srcdir ;;
319 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
320 srcdir="$ac_optarg" ;;
321
322 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
323 | --syscon | --sysco | --sysc | --sys | --sy)
324 ac_prev=sysconfdir ;;
325 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
326 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
327 sysconfdir="$ac_optarg" ;;
328
329 -target | --target | --targe | --targ | --tar | --ta | --t)
330 ac_prev=target ;;
331 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
332 target="$ac_optarg" ;;
333
334 -v | -verbose | --verbose | --verbos | --verbo | --verb)
335 verbose=yes ;;
336
337 -version | --version | --versio | --versi | --vers)
338 echo "configure generated by autoconf version 2.13"
339 exit 0 ;;
340
341 -with-* | --with-*)
342 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
343 # Reject names that are not valid shell variable names.
344 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
345 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
346 fi
347 ac_package=`echo $ac_package| sed 's/-/_/g'`
348 case "$ac_option" in
349 *=*) ;;
350 *) ac_optarg=yes ;;
351 esac
352 eval "with_${ac_package}='$ac_optarg'" ;;
353
354 -without-* | --without-*)
355 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
356 # Reject names that are not valid shell variable names.
357 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
358 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
359 fi
360 ac_package=`echo $ac_package| sed 's/-/_/g'`
361 eval "with_${ac_package}=no" ;;
362
363 --x)
364 # Obsolete; use --with-x.
365 with_x=yes ;;
366
367 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
368 | --x-incl | --x-inc | --x-in | --x-i)
369 ac_prev=x_includes ;;
370 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
371 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
372 x_includes="$ac_optarg" ;;
373
374 -x-libraries | --x-libraries | --x-librarie | --x-librari \
375 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
376 ac_prev=x_libraries ;;
377 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
378 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
379 x_libraries="$ac_optarg" ;;
380
381 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
382 ;;
383
384 *)
385 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
386 echo "configure: warning: $ac_option: invalid host type" 1>&2
387 fi
388 if test "x$nonopt" != xNONE; then
389 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
390 fi
391 nonopt="$ac_option"
392 ;;
393
394 esac
395 done
396
397 if test -n "$ac_prev"; then
398 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 fi
400
401 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
402
403 # File descriptor usage:
404 # 0 standard input
405 # 1 file creation
406 # 2 errors and warnings
407 # 3 some systems may open it to /dev/tty
408 # 4 used on the Kubota Titan
409 # 6 checking for... messages and results
410 # 5 compiler messages saved in config.log
411 if test "$silent" = yes; then
412 exec 6>/dev/null
413 else
414 exec 6>&1
415 fi
416 exec 5>./config.log
417
418 echo "\
419 This file contains any messages produced by compilers while
420 running configure, to aid debugging if configure makes a mistake.
421 " 1>&5
422
423 # Strip out --no-create and --no-recursion so they do not pile up.
424 # Also quote any args containing shell metacharacters.
425 ac_configure_args=
426 for ac_arg
427 do
428 case "$ac_arg" in
429 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
430 | --no-cr | --no-c) ;;
431 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
432 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
433 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
434 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
435 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
436 esac
437 done
438
439 # NLS nuisances.
440 # Only set these to C if already set. These must not be set unconditionally
441 # because not all systems understand e.g. LANG=C (notably SCO).
442 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
443 # Non-C LC_CTYPE values break the ctype check.
444 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
445 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
446 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
447 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
448
449 # confdefs.h avoids OS command line length limits that DEFS can exceed.
450 rm -rf conftest* confdefs.h
451 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
452 echo > confdefs.h
453
454 # A filename unique to this package, relative to the directory that
455 # configure is in, which we can look for to find out if srcdir is correct.
456 ac_unique_file=debug.c
457
458 # Find the source files, if location was not specified.
459 if test -z "$srcdir"; then
460 ac_srcdir_defaulted=yes
461 # Try the directory containing this script, then its parent.
462 ac_prog=$0
463 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
464 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
465 srcdir=$ac_confdir
466 if test ! -r $srcdir/$ac_unique_file; then
467 srcdir=..
468 fi
469 else
470 ac_srcdir_defaulted=no
471 fi
472 if test ! -r $srcdir/$ac_unique_file; then
473 if test "$ac_srcdir_defaulted" = yes; then
474 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
475 else
476 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 fi
478 fi
479 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
480
481 # Prefer explicitly selected file to automatically selected ones.
482 if test -z "$CONFIG_SITE"; then
483 if test "x$prefix" != xNONE; then
484 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
485 else
486 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 fi
488 fi
489 for ac_site_file in $CONFIG_SITE; do
490 if test -r "$ac_site_file"; then
491 echo "loading site script $ac_site_file"
492 . "$ac_site_file"
493 fi
494 done
495
496 if test -r "$cache_file"; then
497 echo "loading cache $cache_file"
498 . $cache_file
499 else
500 echo "creating cache $cache_file"
501 > $cache_file
502 fi
503
504 ac_ext=c
505 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
506 ac_cpp='$CPP $CPPFLAGS'
507 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
508 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
509 cross_compiling=$ac_cv_prog_cc_cross
510
511 ac_exeext=
512 ac_objext=o
513 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
514 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
515 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
516 ac_n= ac_c='
517 ' ac_t=' '
518 else
519 ac_n=-n ac_c= ac_t=
520 fi
521 else
522 ac_n= ac_c='\c' ac_t=
523 fi
524
525
526
527
528 echo "Reminder: If you don't want PPP compiled in, run configure with the option --disable-ppp"
529
530 echo $ac_n "checking version""... $ac_c" 1>&6
531 echo "configure:532: checking version" >&5
532 version=`cat ${srcdir}/version.h | sed -ne '1 s/.* \"\(.*\)\"/\1/; 1 p'`
533
534 echo "$ac_t""$version" 1>&6
535
536 CROSS_ERROR="echo ;\
537 echo Error: could not execute test program;\
538 echo ;\
539 echo This error occurs when either:;\
540 echo 1\) You are cross-compiling, in which case don\'t. Slirp needs to execute;\
541 echo \ \ \ test programs to figure some things out\; or;\
542 echo 2\) There is a problem with your compiler setup, in which case you should;\
543 echo \ \ \ ask your sysadmin for help. You might also want to send her the;\
544 echo \ \ \ resulting config.log file for clues.; exit 1"
545
546 # Extract the first word of "gcc", so it can be a program name with args.
547 set dummy gcc; ac_word=$2
548 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
549 echo "configure:550: checking for $ac_word" >&5
550 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
551 echo $ac_n "(cached) $ac_c" 1>&6
552 else
553 if test -n "$CC"; then
554 ac_cv_prog_CC="$CC" # Let the user override the test.
555 else
556 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
557 ac_dummy="$PATH"
558 for ac_dir in $ac_dummy; do
559 test -z "$ac_dir" && ac_dir=.
560 if test -f $ac_dir/$ac_word; then
561 ac_cv_prog_CC="gcc"
562 break
563 fi
564 done
565 IFS="$ac_save_ifs"
566 fi
567 fi
568 CC="$ac_cv_prog_CC"
569 if test -n "$CC"; then
570 echo "$ac_t""$CC" 1>&6
571 else
572 echo "$ac_t""no" 1>&6
573 fi
574
575 if test -z "$CC"; then
576 # Extract the first word of "cc", so it can be a program name with args.
577 set dummy cc; ac_word=$2
578 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
579 echo "configure:580: checking for $ac_word" >&5
580 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
581 echo $ac_n "(cached) $ac_c" 1>&6
582 else
583 if test -n "$CC"; then
584 ac_cv_prog_CC="$CC" # Let the user override the test.
585 else
586 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
587 ac_prog_rejected=no
588 ac_dummy="$PATH"
589 for ac_dir in $ac_dummy; do
590 test -z "$ac_dir" && ac_dir=.
591 if test -f $ac_dir/$ac_word; then
592 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
593 ac_prog_rejected=yes
594 continue
595 fi
596 ac_cv_prog_CC="cc"
597 break
598 fi
599 done
600 IFS="$ac_save_ifs"
601 if test $ac_prog_rejected = yes; then
602 # We found a bogon in the path, so make sure we never use it.
603 set dummy $ac_cv_prog_CC
604 shift
605 if test $# -gt 0; then
606 # We chose a different compiler from the bogus one.
607 # However, it has the same basename, so the bogon will be chosen
608 # first if we set CC to just the basename; use the full file name.
609 shift
610 set dummy "$ac_dir/$ac_word" "$@"
611 shift
612 ac_cv_prog_CC="$@"
613 fi
614 fi
615 fi
616 fi
617 CC="$ac_cv_prog_CC"
618 if test -n "$CC"; then
619 echo "$ac_t""$CC" 1>&6
620 else
621 echo "$ac_t""no" 1>&6
622 fi
623
624 if test -z "$CC"; then
625 case "`uname -s`" in
626 *win32* | *WIN32*)
627 # Extract the first word of "cl", so it can be a program name with args.
628 set dummy cl; ac_word=$2
629 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
630 echo "configure:631: checking for $ac_word" >&5
631 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
632 echo $ac_n "(cached) $ac_c" 1>&6
633 else
634 if test -n "$CC"; then
635 ac_cv_prog_CC="$CC" # Let the user override the test.
636 else
637 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
638 ac_dummy="$PATH"
639 for ac_dir in $ac_dummy; do
640 test -z "$ac_dir" && ac_dir=.
641 if test -f $ac_dir/$ac_word; then
642 ac_cv_prog_CC="cl"
643 break
644 fi
645 done
646 IFS="$ac_save_ifs"
647 fi
648 fi
649 CC="$ac_cv_prog_CC"
650 if test -n "$CC"; then
651 echo "$ac_t""$CC" 1>&6
652 else
653 echo "$ac_t""no" 1>&6
654 fi
655 ;;
656 esac
657 fi
658 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
659 fi
660
661 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
662 echo "configure:663: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
663
664 ac_ext=c
665 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
666 ac_cpp='$CPP $CPPFLAGS'
667 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
668 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
669 cross_compiling=$ac_cv_prog_cc_cross
670
671 cat > conftest.$ac_ext << EOF
672
673 #line 674 "configure"
674 #include "confdefs.h"
675
676 main(){return(0);}
677 EOF
678 if { (eval echo configure:679: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
679 ac_cv_prog_cc_works=yes
680 # If we can't run a trivial program, we are probably using a cross compiler.
681 if (./conftest; exit) 2>/dev/null; then
682 ac_cv_prog_cc_cross=no
683 else
684 ac_cv_prog_cc_cross=yes
685 fi
686 else
687 echo "configure: failed program was:" >&5
688 cat conftest.$ac_ext >&5
689 ac_cv_prog_cc_works=no
690 fi
691 rm -fr conftest*
692 ac_ext=c
693 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
694 ac_cpp='$CPP $CPPFLAGS'
695 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
696 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
697 cross_compiling=$ac_cv_prog_cc_cross
698
699 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
700 if test $ac_cv_prog_cc_works = no; then
701 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
702 fi
703 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
704 echo "configure:705: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
705 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
706 cross_compiling=$ac_cv_prog_cc_cross
707
708 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
709 echo "configure:710: checking whether we are using GNU C" >&5
710 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
711 echo $ac_n "(cached) $ac_c" 1>&6
712 else
713 cat > conftest.c <<EOF
714 #ifdef __GNUC__
715 yes;
716 #endif
717 EOF
718 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:719: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
719 ac_cv_prog_gcc=yes
720 else
721 ac_cv_prog_gcc=no
722 fi
723 fi
724
725 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
726
727 if test $ac_cv_prog_gcc = yes; then
728 GCC=yes
729 else
730 GCC=
731 fi
732
733 ac_test_CFLAGS="${CFLAGS+set}"
734 ac_save_CFLAGS="$CFLAGS"
735 CFLAGS=
736 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
737 echo "configure:738: checking whether ${CC-cc} accepts -g" >&5
738 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
739 echo $ac_n "(cached) $ac_c" 1>&6
740 else
741 echo 'void f(){}' > conftest.c
742 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
743 ac_cv_prog_cc_g=yes
744 else
745 ac_cv_prog_cc_g=no
746 fi
747 rm -f conftest*
748
749 fi
750
751 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
752 if test "$ac_test_CFLAGS" = set; then
753 CFLAGS="$ac_save_CFLAGS"
754 elif test $ac_cv_prog_cc_g = yes; then
755 if test "$GCC" = yes; then
756 CFLAGS="-g -O2"
757 else
758 CFLAGS="-g"
759 fi
760 else
761 if test "$GCC" = yes; then
762 CFLAGS="-O2"
763 else
764 CFLAGS=
765 fi
766 fi
767
768 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
769 echo "configure:770: checking how to run the C preprocessor" >&5
770 # On Suns, sometimes $CPP names a directory.
771 if test -n "$CPP" && test -d "$CPP"; then
772 CPP=
773 fi
774 if test -z "$CPP"; then
775 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
776 echo $ac_n "(cached) $ac_c" 1>&6
777 else
778 # This must be in double quotes, not single quotes, because CPP may get
779 # substituted into the Makefile and "${CC-cc}" will confuse make.
780 CPP="${CC-cc} -E"
781 # On the NeXT, cc -E runs the code through the compiler's parser,
782 # not just through cpp.
783 cat > conftest.$ac_ext <<EOF
784 #line 785 "configure"
785 #include "confdefs.h"
786 #include <assert.h>
787 Syntax Error
788 EOF
789 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
790 { (eval echo configure:791: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
791 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
792 if test -z "$ac_err"; then
793 :
794 else
795 echo "$ac_err" >&5
796 echo "configure: failed program was:" >&5
797 cat conftest.$ac_ext >&5
798 rm -rf conftest*
799 CPP="${CC-cc} -E -traditional-cpp"
800 cat > conftest.$ac_ext <<EOF
801 #line 802 "configure"
802 #include "confdefs.h"
803 #include <assert.h>
804 Syntax Error
805 EOF
806 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
807 { (eval echo configure:808: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
808 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
809 if test -z "$ac_err"; then
810 :
811 else
812 echo "$ac_err" >&5
813 echo "configure: failed program was:" >&5
814 cat conftest.$ac_ext >&5
815 rm -rf conftest*
816 CPP="${CC-cc} -nologo -E"
817 cat > conftest.$ac_ext <<EOF
818 #line 819 "configure"
819 #include "confdefs.h"
820 #include <assert.h>
821 Syntax Error
822 EOF
823 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
824 { (eval echo configure:825: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
825 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
826 if test -z "$ac_err"; then
827 :
828 else
829 echo "$ac_err" >&5
830 echo "configure: failed program was:" >&5
831 cat conftest.$ac_ext >&5
832 rm -rf conftest*
833 CPP=/lib/cpp
834 fi
835 rm -f conftest*
836 fi
837 rm -f conftest*
838 fi
839 rm -f conftest*
840 ac_cv_prog_CPP="$CPP"
841 fi
842 CPP="$ac_cv_prog_CPP"
843 else
844 ac_cv_prog_CPP="$CPP"
845 fi
846 echo "$ac_t""$CPP" 1>&6
847
848 if test x$GCC = xyes; then
849 CFLAGS2="-O2 -Wall -Wno-implicit -Wmissing-prototypes"
850 else
851 CFLAGS2="-O"
852 echo "WARNING: Not using GCC to compile may be hazzardous to your health."
853 echo " If you can get Slirp to compile and run w/o GCC, notify us so"
854 echo " we can test for which compiler you're using. RedWolf recommends"
855 echo " installing GCC anyway if you don't have it."
856 fi
857 if test $ac_cv_prog_gcc = yes; then
858 echo $ac_n "checking whether ${CC-cc} needs -traditional""... $ac_c" 1>&6
859 echo "configure:860: checking whether ${CC-cc} needs -traditional" >&5
860 if eval "test \"`echo '$''{'ac_cv_prog_gcc_traditional'+set}'`\" = set"; then
861 echo $ac_n "(cached) $ac_c" 1>&6
862 else
863 ac_pattern="Autoconf.*'x'"
864 cat > conftest.$ac_ext <<EOF
865 #line 866 "configure"
866 #include "confdefs.h"
867 #include <sgtty.h>
868 Autoconf TIOCGETP
869 EOF
870 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
871 egrep "$ac_pattern" >/dev/null 2>&1; then
872 rm -rf conftest*
873 ac_cv_prog_gcc_traditional=yes
874 else
875 rm -rf conftest*
876 ac_cv_prog_gcc_traditional=no
877 fi
878 rm -f conftest*
879
880
881 if test $ac_cv_prog_gcc_traditional = no; then
882 cat > conftest.$ac_ext <<EOF
883 #line 884 "configure"
884 #include "confdefs.h"
885 #include <termio.h>
886 Autoconf TCGETA
887 EOF
888 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
889 egrep "$ac_pattern" >/dev/null 2>&1; then
890 rm -rf conftest*
891 ac_cv_prog_gcc_traditional=yes
892 fi
893 rm -f conftest*
894
895 fi
896 fi
897
898 echo "$ac_t""$ac_cv_prog_gcc_traditional" 1>&6
899 if test $ac_cv_prog_gcc_traditional = yes; then
900 CC="$CC -traditional"
901 fi
902 fi
903
904 if test x$cross_compiling = xyes; then
905 eval $CROSS_ERROR
906 fi
907 # Extract the first word of "perl", so it can be a program name with args.
908 set dummy perl; ac_word=$2
909 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
910 echo "configure:911: checking for $ac_word" >&5
911 if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
912 echo $ac_n "(cached) $ac_c" 1>&6
913 else
914 case "$PERL" in
915 /*)
916 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
917 ;;
918 ?:/*)
919 ac_cv_path_PERL="$PERL" # Let the user override the test with a dos path.
920 ;;
921 *)
922 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
923 ac_dummy="$PATH"
924 for ac_dir in $ac_dummy; do
925 test -z "$ac_dir" && ac_dir=.
926 if test -f $ac_dir/$ac_word; then
927 ac_cv_path_PERL="$ac_dir/$ac_word"
928 break
929 fi
930 done
931 IFS="$ac_save_ifs"
932 test -z "$ac_cv_path_PERL" && ac_cv_path_PERL="no"
933 ;;
934 esac
935 fi
936 PERL="$ac_cv_path_PERL"
937 if test -n "$PERL"; then
938 echo "$ac_t""$PERL" 1>&6
939 else
940 echo "$ac_t""no" 1>&6
941 fi
942
943 if test x$PERL = xno; then
944 MAKEPRO='touch $@'
945 else
946 echo $ac_n "checking whether perl is version 5 or greater""... $ac_c" 1>&6
947 echo "configure:948: checking whether perl is version 5 or greater" >&5
948 if eval "test \"`echo '$''{'sr_cv_perl5'+set}'`\" = set"; then
949 echo $ac_n "(cached) $ac_c" 1>&6
950 else
951 sr_cv_perl5=check
952 fi
953
954 if test x$sr_cv_perl5 = xcheck; then
955 eval "$PERL -e '$] < 5.000 && exit 1'"
956 if test $? = 1; then
957 sr_cv_perl5=no
958 else
959 sr_cv_perl5=yes
960 fi
961 fi
962 if test x$sr_cv_perl5 = xyes; then
963 MAKEPRO='$(CPP) $< | $(MKPRO) > $@.bak && mv -f $@.bak $@'
964 echo "$ac_t""yes" 1>&6
965 else
966 MAKEPRO='touch $@'
967 echo "$ac_t""no - prototypes will not be dynamically extracted" 1>&6
968 fi
969 fi
970
971
972 echo $ac_n "checking whether you are compiling on NeXT""... $ac_c" 1>&6
973 echo "configure:974: checking whether you are compiling on NeXT" >&5
974 if eval "test \"`echo '$''{'sr_cv_next'+set}'`\" = set"; then
975 echo $ac_n "(cached) $ac_c" 1>&6
976 else
977 sr_cv_next=check
978 fi
979
980 if test x$sr_cv_next = xcheck; then
981 if test "$cross_compiling" = yes; then
982 eval $CROSS_ERROR
983 else
984 cat > conftest.$ac_ext <<EOF
985 #line 986 "configure"
986 #include "confdefs.h"
987
988 int main() {
989 #ifdef NeXT
990 return 1;
991 #else
992 return 0;
993 #endif
994 }
995 EOF
996 if { (eval echo configure:997: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
997 then
998 sr_cv_next=no
999 else
1000 echo "configure: failed program was:" >&5
1001 cat conftest.$ac_ext >&5
1002 rm -fr conftest*
1003 sr_cv_next=yes
1004 fi
1005 rm -fr conftest*
1006 fi
1007
1008 fi
1009 echo "$ac_t""$sr_cv_next" 1>&6
1010 if test x$sr_cv_next = xyes; then
1011 DASH_POSIX="-posix"
1012
1013 LDFLAGS="-posix $LDFLAGS"
1014 fi
1015
1016 echo $ac_n "checking whether sprintf returns int""... $ac_c" 1>&6
1017 echo "configure:1018: checking whether sprintf returns int" >&5
1018 if eval "test \"`echo '$''{'sr_cv_sprintf_int'+set}'`\" = set"; then
1019 echo $ac_n "(cached) $ac_c" 1>&6
1020 else
1021 sr_cv_sprintf_int=check
1022 fi
1023
1024 if test x$sr_cv_sprintf_int = xcheck; then
1025 if test "$cross_compiling" = yes; then
1026 eval $CROSS_ERROR
1027 else
1028 cat > conftest.$ac_ext <<EOF
1029 #line 1030 "configure"
1030 #include "confdefs.h"
1031
1032 #include <stdio.h>
1033 int main () {
1034 char buff[1];
1035 int ret;
1036 ret = (int)sprintf(buff,"");
1037 if (ret == 0)
1038 exit(1);
1039 else
1040 exit(0);
1041 }
1042 EOF
1043 if { (eval echo configure:1044: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1044 then
1045 sr_cv_sprintf_int=no
1046 else
1047 echo "configure: failed program was:" >&5
1048 cat conftest.$ac_ext >&5
1049 rm -fr conftest*
1050 sr_cv_sprintf_int=yes
1051 fi
1052 rm -fr conftest*
1053 fi
1054
1055 fi
1056 if test x$sr_cv_sprintf_int = xno; then
1057 cat >> confdefs.h <<\EOF
1058 #define BAD_SPRINTF 1
1059 EOF
1060
1061 fi
1062 echo "$ac_t""$sr_cv_sprintf_int" 1>&6
1063
1064 echo $ac_n "checking whether sprintf/fprintf need to be declared""... $ac_c" 1>&6
1065 echo "configure:1066: checking whether sprintf/fprintf need to be declared" >&5
1066 if eval "test \"`echo '$''{'sr_cv_sprintf_declare'+set}'`\" = set"; then
1067 echo $ac_n "(cached) $ac_c" 1>&6
1068 else
1069 sr_cv_sprintf_declare=check
1070 fi
1071
1072 if test x$sr_cv_sprintf_declare = xcheck; then
1073 if test "$cross_compiling" = yes; then
1074 eval $CROSS_ERROR
1075 else
1076 cat > conftest.$ac_ext <<EOF
1077 #line 1078 "configure"
1078 #include "confdefs.h"
1079 #include <stdio.h>
1080 int main () {
1081 int (*tmp1)();
1082 int (*tmp2)();
1083
1084 tmp1 = (int (*)())fprintf;
1085 tmp2 = (int (*)())sprintf;
1086
1087 exit(0);
1088 }
1089 EOF
1090 if { (eval echo configure:1091: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1091 then
1092 sr_cv_sprintf_declare=no
1093 else
1094 echo "configure: failed program was:" >&5
1095 cat conftest.$ac_ext >&5
1096 rm -fr conftest*
1097 sr_cv_sprintf_declare=yes
1098 fi
1099 rm -fr conftest*
1100 fi
1101
1102 fi
1103 if test x$sr_cv_sprintf_declare = xyes; then
1104 cat >> confdefs.h <<\EOF
1105 #define DECLARE_SPRINTF 1
1106 EOF
1107
1108 fi
1109 echo "$ac_t""$sr_cv_sprintf_declare" 1>&6
1110
1111 echo $ac_n "checking whether gettimeofday takes two arguments""... $ac_c" 1>&6
1112 echo "configure:1113: checking whether gettimeofday takes two arguments" >&5
1113 if eval "test \"`echo '$''{'sr_cv_gettimeofday'+set}'`\" = set"; then
1114 echo $ac_n "(cached) $ac_c" 1>&6
1115 else
1116 sr_cv_gettimeofday=check
1117 fi
1118
1119 if test x$sr_cv_gettimeofday = xcheck; then
1120 cat > conftest.$ac_ext <<EOF
1121 #line 1122 "configure"
1122 #include "confdefs.h"
1123 #include <sys/time.h>
1124 int main() {
1125 gettimeofday((void *)0, (void *)0);
1126 ; return 0; }
1127 EOF
1128 if { (eval echo configure:1129: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1129 rm -rf conftest*
1130 sr_cv_gettimeofday=yes
1131 else
1132 echo "configure: failed program was:" >&5
1133 cat conftest.$ac_ext >&5
1134 rm -rf conftest*
1135 sr_cv_gettimeofday=no
1136 fi
1137 rm -f conftest*
1138 fi
1139 if test x$sr_cv_gettimeofday = xno; then
1140 cat >> confdefs.h <<\EOF
1141 #define GETTIMEOFDAY_ONE_ARG 1
1142 EOF
1143
1144 fi
1145 echo "$ac_t""$sr_cv_gettimeofday" 1>&6
1146
1147 echo $ac_n "checking for 8-bit clean memcmp""... $ac_c" 1>&6
1148 echo "configure:1149: checking for 8-bit clean memcmp" >&5
1149 if eval "test \"`echo '$''{'ac_cv_func_memcmp_clean'+set}'`\" = set"; then
1150 echo $ac_n "(cached) $ac_c" 1>&6
1151 else
1152 if test "$cross_compiling" = yes; then
1153 ac_cv_func_memcmp_clean=no
1154 else
1155 cat > conftest.$ac_ext <<EOF
1156 #line 1157 "configure"
1157 #include "confdefs.h"
1158
1159 main()
1160 {
1161 char c0 = 0x40, c1 = 0x80, c2 = 0x81;
1162 exit(memcmp(&c0, &c2, 1) < 0 && memcmp(&c1, &c2, 1) < 0 ? 0 : 1);
1163 }
1164
1165 EOF
1166 if { (eval echo configure:1167: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1167 then
1168 ac_cv_func_memcmp_clean=yes
1169 else
1170 echo "configure: failed program was:" >&5
1171 cat conftest.$ac_ext >&5
1172 rm -fr conftest*
1173 ac_cv_func_memcmp_clean=no
1174 fi
1175 rm -fr conftest*
1176 fi
1177
1178 fi
1179
1180 echo "$ac_t""$ac_cv_func_memcmp_clean" 1>&6
1181 test $ac_cv_func_memcmp_clean = no && LIBOBJS="$LIBOBJS memcmp.${ac_objext}"
1182
1183
1184 echo $ac_n "checking for main in -lnsl""... $ac_c" 1>&6
1185 echo "configure:1186: checking for main in -lnsl" >&5
1186 ac_lib_var=`echo nsl'_'main | sed 'y%./+-%__p_%'`
1187 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1188 echo $ac_n "(cached) $ac_c" 1>&6
1189 else
1190 ac_save_LIBS="$LIBS"
1191 LIBS="-lnsl $LIBS"
1192 cat > conftest.$ac_ext <<EOF
1193 #line 1194 "configure"
1194 #include "confdefs.h"
1195
1196 int main() {
1197 main()
1198 ; return 0; }
1199 EOF
1200 if { (eval echo configure:1201: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1201 rm -rf conftest*
1202 eval "ac_cv_lib_$ac_lib_var=yes"
1203 else
1204 echo "configure: failed program was:" >&5
1205 cat conftest.$ac_ext >&5
1206 rm -rf conftest*
1207 eval "ac_cv_lib_$ac_lib_var=no"
1208 fi
1209 rm -f conftest*
1210 LIBS="$ac_save_LIBS"
1211
1212 fi
1213 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1214 echo "$ac_t""yes" 1>&6
1215 ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1216 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1217 cat >> confdefs.h <<EOF
1218 #define $ac_tr_lib 1
1219 EOF
1220
1221 LIBS="-lnsl $LIBS"
1222
1223 else
1224 echo "$ac_t""no" 1>&6
1225 fi
1226
1227 echo $ac_n "checking for main in -lsocket""... $ac_c" 1>&6
1228 echo "configure:1229: checking for main in -lsocket" >&5
1229 ac_lib_var=`echo socket'_'main | sed 'y%./+-%__p_%'`
1230 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1231 echo $ac_n "(cached) $ac_c" 1>&6
1232 else
1233 ac_save_LIBS="$LIBS"
1234 LIBS="-lsocket $LIBS"
1235 cat > conftest.$ac_ext <<EOF
1236 #line 1237 "configure"
1237 #include "confdefs.h"
1238
1239 int main() {
1240 main()
1241 ; return 0; }
1242 EOF
1243 if { (eval echo configure:1244: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1244 rm -rf conftest*
1245 eval "ac_cv_lib_$ac_lib_var=yes"
1246 else
1247 echo "configure: failed program was:" >&5
1248 cat conftest.$ac_ext >&5
1249 rm -rf conftest*
1250 eval "ac_cv_lib_$ac_lib_var=no"
1251 fi
1252 rm -f conftest*
1253 LIBS="$ac_save_LIBS"
1254
1255 fi
1256 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1257 echo "$ac_t""yes" 1>&6
1258 ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1259 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1260 cat >> confdefs.h <<EOF
1261 #define $ac_tr_lib 1
1262 EOF
1263
1264 LIBS="-lsocket $LIBS"
1265
1266 else
1267 echo "$ac_t""no" 1>&6
1268 fi
1269
1270 echo $ac_n "checking for main in -lposix""... $ac_c" 1>&6
1271 echo "configure:1272: checking for main in -lposix" >&5
1272 ac_lib_var=`echo posix'_'main | sed 'y%./+-%__p_%'`
1273 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1274 echo $ac_n "(cached) $ac_c" 1>&6
1275 else
1276 ac_save_LIBS="$LIBS"
1277 LIBS="-lposix $LIBS"
1278 cat > conftest.$ac_ext <<EOF
1279 #line 1280 "configure"
1280 #include "confdefs.h"
1281
1282 int main() {
1283 main()
1284 ; return 0; }
1285 EOF
1286 if { (eval echo configure:1287: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1287 rm -rf conftest*
1288 eval "ac_cv_lib_$ac_lib_var=yes"
1289 else
1290 echo "configure: failed program was:" >&5
1291 cat conftest.$ac_ext >&5
1292 rm -rf conftest*
1293 eval "ac_cv_lib_$ac_lib_var=no"
1294 fi
1295 rm -f conftest*
1296 LIBS="$ac_save_LIBS"
1297
1298 fi
1299 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1300 echo "$ac_t""yes" 1>&6
1301 ac_tr_lib=HAVE_LIB`echo posix | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1302 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1303 cat >> confdefs.h <<EOF
1304 #define $ac_tr_lib 1
1305 EOF
1306
1307 LIBS="-lposix $LIBS"
1308
1309 else
1310 echo "$ac_t""no" 1>&6
1311 fi
1312
1313 echo $ac_n "checking for main in -lcrypt""... $ac_c" 1>&6
1314 echo "configure:1315: checking for main in -lcrypt" >&5
1315 ac_lib_var=`echo crypt'_'main | sed 'y%./+-%__p_%'`
1316 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1317 echo $ac_n "(cached) $ac_c" 1>&6
1318 else
1319 ac_save_LIBS="$LIBS"
1320 LIBS="-lcrypt $LIBS"
1321 cat > conftest.$ac_ext <<EOF
1322 #line 1323 "configure"
1323 #include "confdefs.h"
1324
1325 int main() {
1326 main()
1327 ; return 0; }
1328 EOF
1329 if { (eval echo configure:1330: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1330 rm -rf conftest*
1331 eval "ac_cv_lib_$ac_lib_var=yes"
1332 else
1333 echo "configure: failed program was:" >&5
1334 cat conftest.$ac_ext >&5
1335 rm -rf conftest*
1336 eval "ac_cv_lib_$ac_lib_var=no"
1337 fi
1338 rm -f conftest*
1339 LIBS="$ac_save_LIBS"
1340
1341 fi
1342 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1343 echo "$ac_t""yes" 1>&6
1344 ac_tr_lib=HAVE_LIB`echo crypt | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1345 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1346 cat >> confdefs.h <<EOF
1347 #define $ac_tr_lib 1
1348 EOF
1349
1350 LIBS="-lcrypt $LIBS"
1351
1352 else
1353 echo "$ac_t""no" 1>&6
1354 fi
1355
1356
1357 echo $ac_n "checking for unix-domain sockets""... $ac_c" 1>&6
1358 echo "configure:1359: checking for unix-domain sockets" >&5
1359 if eval "test \"`echo '$''{'sr_cv_unix_sockets'+set}'`\" = set"; then
1360 echo $ac_n "(cached) $ac_c" 1>&6
1361 else
1362 sr_cv_unix_sockets=check
1363 fi
1364
1365 if test x$sr_cv_unix_sockets = xcheck; then
1366 if test "$cross_compiling" = yes; then
1367 eval $CROSS_ERROR
1368 else
1369 cat > conftest.$ac_ext <<EOF
1370 #line 1371 "configure"
1371 #include "confdefs.h"
1372
1373 #include <stdio.h>
1374 #include <sys/types.h>
1375 #include <sys/un.h>
1376 #include <sys/socket.h>
1377 int main () {
1378 if (socket(AF_UNIX, SOCK_STREAM, 0) < 0)
1379 exit(1);
1380 else
1381 exit(0);
1382 }
1383 EOF
1384 if { (eval echo configure:1385: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1385 then
1386 sr_cv_unix_sockets=yes
1387 else
1388 echo "configure: failed program was:" >&5
1389 cat conftest.$ac_ext >&5
1390 rm -fr conftest*
1391 sr_cv_unix_sockets=no
1392 fi
1393 rm -fr conftest*
1394 fi
1395
1396 fi
1397 if test x$sr_cv_unix_sockets = xno; then
1398 cat >> confdefs.h <<\EOF
1399 #define NO_UNIX_SOCKETS 1
1400 EOF
1401
1402 fi
1403 echo "$ac_t""$sr_cv_unix_sockets" 1>&6
1404
1405 echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1406 echo "configure:1407: checking whether time.h and sys/time.h may both be included" >&5
1407 if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1408 echo $ac_n "(cached) $ac_c" 1>&6
1409 else
1410 cat > conftest.$ac_ext <<EOF
1411 #line 1412 "configure"
1412 #include "confdefs.h"
1413 #include <sys/types.h>
1414 #include <sys/time.h>
1415 #include <time.h>
1416 int main() {
1417 struct tm *tp;
1418 ; return 0; }
1419 EOF
1420 if { (eval echo configure:1421: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1421 rm -rf conftest*
1422 ac_cv_header_time=yes
1423 else
1424 echo "configure: failed program was:" >&5
1425 cat conftest.$ac_ext >&5
1426 rm -rf conftest*
1427 ac_cv_header_time=no
1428 fi
1429 rm -f conftest*
1430 fi
1431
1432 echo "$ac_t""$ac_cv_header_time" 1>&6
1433 if test $ac_cv_header_time = yes; then
1434 cat >> confdefs.h <<\EOF
1435 #define TIME_WITH_SYS_TIME 1
1436 EOF
1437
1438 fi
1439
1440 echo $ac_n "checking for sys/wait.h that is POSIX.1 compatible""... $ac_c" 1>&6
1441 echo "configure:1442: checking for sys/wait.h that is POSIX.1 compatible" >&5
1442 if eval "test \"`echo '$''{'ac_cv_header_sys_wait_h'+set}'`\" = set"; then
1443 echo $ac_n "(cached) $ac_c" 1>&6
1444 else
1445 cat > conftest.$ac_ext <<EOF
1446 #line 1447 "configure"
1447 #include "confdefs.h"
1448 #include <sys/types.h>
1449 #include <sys/wait.h>
1450 #ifndef WEXITSTATUS
1451 #define WEXITSTATUS(stat_val) ((unsigned)(stat_val) >> 8)
1452 #endif
1453 #ifndef WIFEXITED
1454 #define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
1455 #endif
1456 int main() {
1457 int s;
1458 wait (&s);
1459 s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
1460 ; return 0; }
1461 EOF
1462 if { (eval echo configure:1463: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1463 rm -rf conftest*
1464 ac_cv_header_sys_wait_h=yes
1465 else
1466 echo "configure: failed program was:" >&5
1467 cat conftest.$ac_ext >&5
1468 rm -rf conftest*
1469 ac_cv_header_sys_wait_h=no
1470 fi
1471 rm -f conftest*
1472 fi
1473
1474 echo "$ac_t""$ac_cv_header_sys_wait_h" 1>&6
1475 if test $ac_cv_header_sys_wait_h = yes; then
1476 cat >> confdefs.h <<\EOF
1477 #define HAVE_SYS_WAIT_H 1
1478 EOF
1479
1480 fi
1481
1482 for ac_hdr in sys/ioctl.h unistd.h stdlib.h sys/filio.h sys/select.h string.h sys/signal.h sys/bitypes.h termios.h sys/stropts.h sys/types32.h
1483 do
1484 ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1485 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1486 echo "configure:1487: checking for $ac_hdr" >&5
1487 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1488 echo $ac_n "(cached) $ac_c" 1>&6
1489 else
1490 cat > conftest.$ac_ext <<EOF
1491 #line 1492 "configure"
1492 #include "confdefs.h"
1493 #include <$ac_hdr>
1494 EOF
1495 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1496 { (eval echo configure:1497: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1497 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1498 if test -z "$ac_err"; then
1499 rm -rf conftest*
1500 eval "ac_cv_header_$ac_safe=yes"
1501 else
1502 echo "$ac_err" >&5
1503 echo "configure: failed program was:" >&5
1504 cat conftest.$ac_ext >&5
1505 rm -rf conftest*
1506 eval "ac_cv_header_$ac_safe=no"
1507 fi
1508 rm -f conftest*
1509 fi
1510 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1511 echo "$ac_t""yes" 1>&6
1512 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1513 cat >> confdefs.h <<EOF
1514 #define $ac_tr_hdr 1
1515 EOF
1516
1517 else
1518 echo "$ac_t""no" 1>&6
1519 fi
1520 done
1521
1522 echo $ac_n "checking whether byte ordering is bigendian""... $ac_c" 1>&6
1523 echo "configure:1524: checking whether byte ordering is bigendian" >&5
1524 if eval "test \"`echo '$''{'ac_cv_c_bigendian'+set}'`\" = set"; then
1525 echo $ac_n "(cached) $ac_c" 1>&6
1526 else
1527 ac_cv_c_bigendian=unknown
1528 # See if sys/param.h defines the BYTE_ORDER macro.
1529 cat > conftest.$ac_ext <<EOF
1530 #line 1531 "configure"
1531 #include "confdefs.h"
1532 #include <sys/types.h>
1533 #include <sys/param.h>
1534 int main() {
1535
1536 #if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
1537 bogus endian macros
1538 #endif
1539 ; return 0; }
1540 EOF
1541 if { (eval echo configure:1542: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1542 rm -rf conftest*
1543 # It does; now see whether it defined to BIG_ENDIAN or not.
1544 cat > conftest.$ac_ext <<EOF
1545 #line 1546 "configure"
1546 #include "confdefs.h"
1547 #include <sys/types.h>
1548 #include <sys/param.h>
1549 int main() {
1550
1551 #if BYTE_ORDER != BIG_ENDIAN
1552 not big endian
1553 #endif
1554 ; return 0; }
1555 EOF
1556 if { (eval echo configure:1557: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1557 rm -rf conftest*
1558 ac_cv_c_bigendian=yes
1559 else
1560 echo "configure: failed program was:" >&5
1561 cat conftest.$ac_ext >&5
1562 rm -rf conftest*
1563 ac_cv_c_bigendian=no
1564 fi
1565 rm -f conftest*
1566 else
1567 echo "configure: failed program was:" >&5
1568 cat conftest.$ac_ext >&5
1569 fi
1570 rm -f conftest*
1571 if test $ac_cv_c_bigendian = unknown; then
1572 if test "$cross_compiling" = yes; then
1573 { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1574 else
1575 cat > conftest.$ac_ext <<EOF
1576 #line 1577 "configure"
1577 #include "confdefs.h"
1578 main () {
1579 /* Are we little or big endian? From Harbison&Steele. */
1580 union
1581 {
1582 long l;
1583 char c[sizeof (long)];
1584 } u;
1585 u.l = 1;
1586 exit (u.c[sizeof (long) - 1] == 1);
1587 }
1588 EOF
1589 if { (eval echo configure:1590: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1590 then
1591 ac_cv_c_bigendian=no
1592 else
1593 echo "configure: failed program was:" >&5
1594 cat conftest.$ac_ext >&5
1595 rm -fr conftest*
1596 ac_cv_c_bigendian=yes
1597 fi
1598 rm -fr conftest*
1599 fi
1600
1601 fi
1602 fi
1603
1604 echo "$ac_t""$ac_cv_c_bigendian" 1>&6
1605 if test $ac_cv_c_bigendian = yes; then
1606 cat >> confdefs.h <<\EOF
1607 #define WORDS_BIGENDIAN 1
1608 EOF
1609
1610 fi
1611
1612
1613 echo $ac_n "checking for working const""... $ac_c" 1>&6
1614 echo "configure:1615: checking for working const" >&5
1615 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1616 echo $ac_n "(cached) $ac_c" 1>&6
1617 else
1618 cat > conftest.$ac_ext <<EOF
1619 #line 1620 "configure"
1620 #include "confdefs.h"
1621
1622 int main() {
1623
1624 /* Ultrix mips cc rejects this. */
1625 typedef int charset[2]; const charset x;
1626 /* SunOS 4.1.1 cc rejects this. */
1627 char const *const *ccp;
1628 char **p;
1629 /* NEC SVR4.0.2 mips cc rejects this. */
1630 struct point {int x, y;};
1631 static struct point const zero = {0,0};
1632 /* AIX XL C 1.02.0.0 rejects this.
1633 It does not let you subtract one const X* pointer from another in an arm
1634 of an if-expression whose if-part is not a constant expression */
1635 const char *g = "string";
1636 ccp = &g + (g ? g-g : 0);
1637 /* HPUX 7.0 cc rejects these. */
1638 ++ccp;
1639 p = (char**) ccp;
1640 ccp = (char const *const *) p;
1641 { /* SCO 3.2v4 cc rejects this. */
1642 char *t;
1643 char const *s = 0 ? (char *) 0 : (char const *) 0;
1644
1645 *t++ = 0;
1646 }
1647 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1648 int x[] = {25, 17};
1649 const int *foo = &x[0];
1650 ++foo;
1651 }
1652 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1653 typedef const int *iptr;
1654 iptr p = 0;
1655 ++p;
1656 }
1657 { /* AIX XL C 1.02.0.0 rejects this saying
1658 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1659 struct s { int j; const int *ap[3]; };
1660 struct s *b; b->j = 5;
1661 }
1662 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1663 const int foo = 10;
1664 }
1665
1666 ; return 0; }
1667 EOF
1668 if { (eval echo configure:1669: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1669 rm -rf conftest*
1670 ac_cv_c_const=yes
1671 else
1672 echo "configure: failed program was:" >&5
1673 cat conftest.$ac_ext >&5
1674 rm -rf conftest*
1675 ac_cv_c_const=no
1676 fi
1677 rm -f conftest*
1678 fi
1679
1680 echo "$ac_t""$ac_cv_c_const" 1>&6
1681 if test $ac_cv_c_const = no; then
1682 cat >> confdefs.h <<\EOF
1683 #define const
1684 EOF
1685
1686 fi
1687
1688 echo $ac_n "checking for inline""... $ac_c" 1>&6
1689 echo "configure:1690: checking for inline" >&5
1690 if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
1691 echo $ac_n "(cached) $ac_c" 1>&6
1692 else
1693 ac_cv_c_inline=no
1694 for ac_kw in inline __inline__ __inline; do
1695 cat > conftest.$ac_ext <<EOF
1696 #line 1697 "configure"
1697 #include "confdefs.h"
1698
1699 int main() {
1700 } $ac_kw foo() {
1701 ; return 0; }
1702 EOF
1703 if { (eval echo configure:1704: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1704 rm -rf conftest*
1705 ac_cv_c_inline=$ac_kw; break
1706 else
1707 echo "configure: failed program was:" >&5
1708 cat conftest.$ac_ext >&5
1709 fi
1710 rm -f conftest*
1711 done
1712
1713 fi
1714
1715 echo "$ac_t""$ac_cv_c_inline" 1>&6
1716 case "$ac_cv_c_inline" in
1717 inline | yes) ;;
1718 no) cat >> confdefs.h <<\EOF
1719 #define inline
1720 EOF
1721 ;;
1722 *) cat >> confdefs.h <<EOF
1723 #define inline $ac_cv_c_inline
1724 EOF
1725 ;;
1726 esac
1727
1728 echo $ac_n "checking whether u_int32_t etc. need to be typedef'd""... $ac_c" 1>&6
1729 echo "configure:1730: checking whether u_int32_t etc. need to be typedef'd" >&5
1730 if test x$ac_cv_header_sys_bitypes_h = xyes; then
1731 INC_BITYPES='#include <sys/bitypes.h>'
1732 fi
1733 if eval "test \"`echo '$''{'sr_cv_need_typedefs'+set}'`\" = set"; then
1734 echo $ac_n "(cached) $ac_c" 1>&6
1735 else
1736 sr_cv_need_typedefs=check
1737 fi
1738
1739 if test x$sr_cv_need_typedefs = xcheck; then
1740 cat > conftest.$ac_ext <<EOF
1741 #line 1742 "configure"
1742 #include "confdefs.h"
1743 #include <sys/types.h>
1744 $INC_BITYPES
1745 #include <arpa/inet.h>
1746 int main() {
1747 u_int32_t foo = 0;
1748 ; return 0; }
1749 EOF
1750 if { (eval echo configure:1751: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1751 rm -rf conftest*
1752 sr_cv_need_typedefs=no
1753 else
1754 echo "configure: failed program was:" >&5
1755 cat conftest.$ac_ext >&5
1756 rm -rf conftest*
1757 sr_cv_need_typedefs=yes
1758 fi
1759 rm -f conftest*
1760 fi
1761 echo "$ac_t""$sr_cv_need_typedefs" 1>&6
1762 if test x$sr_cv_need_typedefs = xyes; then
1763 cat >> confdefs.h <<\EOF
1764 #define NEED_TYPEDEFS 1
1765 EOF
1766
1767 echo $ac_n "checking size of char""... $ac_c" 1>&6
1768 echo "configure:1769: checking size of char" >&5
1769 if eval "test \"`echo '$''{'ac_cv_sizeof_char'+set}'`\" = set"; then
1770 echo $ac_n "(cached) $ac_c" 1>&6
1771 else
1772 if test "$cross_compiling" = yes; then
1773 { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1774 else
1775 cat > conftest.$ac_ext <<EOF
1776 #line 1777 "configure"
1777 #include "confdefs.h"
1778 #include <stdio.h>
1779 main()
1780 {
1781 FILE *f=fopen("conftestval", "w");
1782 if (!f) exit(1);
1783 fprintf(f, "%d\n", sizeof(char));
1784 exit(0);
1785 }
1786 EOF
1787 if { (eval echo configure:1788: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1788 then
1789 ac_cv_sizeof_char=`cat conftestval`
1790 else
1791 echo "configure: failed program was:" >&5
1792 cat conftest.$ac_ext >&5
1793 rm -fr conftest*
1794 ac_cv_sizeof_char=0
1795 fi
1796 rm -fr conftest*
1797 fi
1798
1799 fi
1800 echo "$ac_t""$ac_cv_sizeof_char" 1>&6
1801 cat >> confdefs.h <<EOF
1802 #define SIZEOF_CHAR $ac_cv_sizeof_char
1803 EOF
1804
1805
1806 if test x$ac_cv_sizeof_char != x1; then
1807 echo "Error: something is wrong with configure!"
1808 echo "sizeof(char) is '$ac_cv_sizeof_char', not 1!"
1809 exit 1
1810 fi
1811 echo $ac_n "checking size of short""... $ac_c" 1>&6
1812 echo "configure:1813: checking size of short" >&5
1813 if eval "test \"`echo '$''{'ac_cv_sizeof_short'+set}'`\" = set"; then
1814 echo $ac_n "(cached) $ac_c" 1>&6
1815 else
1816 if test "$cross_compiling" = yes; then
1817 { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1818 else
1819 cat > conftest.$ac_ext <<EOF
1820 #line 1821 "configure"
1821 #include "confdefs.h"
1822 #include <stdio.h>
1823 main()
1824 {
1825 FILE *f=fopen("conftestval", "w");
1826 if (!f) exit(1);
1827 fprintf(f, "%d\n", sizeof(short));
1828 exit(0);
1829 }
1830 EOF
1831 if { (eval echo configure:1832: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1832 then
1833 ac_cv_sizeof_short=`cat conftestval`
1834 else
1835 echo "configure: failed program was:" >&5
1836 cat conftest.$ac_ext >&5
1837 rm -fr conftest*
1838 ac_cv_sizeof_short=0
1839 fi
1840 rm -fr conftest*
1841 fi
1842
1843 fi
1844 echo "$ac_t""$ac_cv_sizeof_short" 1>&6
1845 cat >> confdefs.h <<EOF
1846 #define SIZEOF_SHORT $ac_cv_sizeof_short
1847 EOF
1848
1849
1850 echo $ac_n "checking size of int""... $ac_c" 1>&6
1851 echo "configure:1852: checking size of int" >&5
1852 if eval "test \"`echo '$''{'ac_cv_sizeof_int'+set}'`\" = set"; then
1853 echo $ac_n "(cached) $ac_c" 1>&6
1854 else
1855 if test "$cross_compiling" = yes; then
1856 { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1857 else
1858 cat > conftest.$ac_ext <<EOF
1859 #line 1860 "configure"
1860 #include "confdefs.h"
1861 #include <stdio.h>
1862 main()
1863 {
1864 FILE *f=fopen("conftestval", "w");
1865 if (!f) exit(1);
1866 fprintf(f, "%d\n", sizeof(int));
1867 exit(0);
1868 }
1869 EOF
1870 if { (eval echo configure:1871: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1871 then
1872 ac_cv_sizeof_int=`cat conftestval`
1873 else
1874 echo "configure: failed program was:" >&5
1875 cat conftest.$ac_ext >&5
1876 rm -fr conftest*
1877 ac_cv_sizeof_int=0
1878 fi
1879 rm -fr conftest*
1880 fi
1881
1882 fi
1883 echo "$ac_t""$ac_cv_sizeof_int" 1>&6
1884 cat >> confdefs.h <<EOF
1885 #define SIZEOF_INT $ac_cv_sizeof_int
1886 EOF
1887
1888
1889 fi
1890 echo $ac_n "checking size of char *""... $ac_c" 1>&6
1891 echo "configure:1892: checking size of char *" >&5
1892 if eval "test \"`echo '$''{'ac_cv_sizeof_char_p'+set}'`\" = set"; then
1893 echo $ac_n "(cached) $ac_c" 1>&6
1894 else
1895 if test "$cross_compiling" = yes; then
1896 { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1897 else
1898 cat > conftest.$ac_ext <<EOF
1899 #line 1900 "configure"
1900 #include "confdefs.h"
1901 #include <stdio.h>
1902 main()
1903 {
1904 FILE *f=fopen("conftestval", "w");
1905 if (!f) exit(1);
1906 fprintf(f, "%d\n", sizeof(char *));
1907 exit(0);
1908 }
1909 EOF
1910 if { (eval echo configure:1911: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1911 then
1912 ac_cv_sizeof_char_p=`cat conftestval`
1913 else
1914 echo "configure: failed program was:" >&5
1915 cat conftest.$ac_ext >&5
1916 rm -fr conftest*
1917 ac_cv_sizeof_char_p=0
1918 fi
1919 rm -fr conftest*
1920 fi
1921
1922 fi
1923 echo "$ac_t""$ac_cv_sizeof_char_p" 1>&6
1924 cat >> confdefs.h <<EOF
1925 #define SIZEOF_CHAR_P $ac_cv_sizeof_char_p
1926 EOF
1927
1928
1929
1930 for ac_func in strdup strerror random srandom index bcmp drand48 memmove setenv inet_aton revoke grantpt fchmod
1931 do
1932 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1933 echo "configure:1934: checking for $ac_func" >&5
1934 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1935 echo $ac_n "(cached) $ac_c" 1>&6
1936 else
1937 cat > conftest.$ac_ext <<EOF
1938 #line 1939 "configure"
1939 #include "confdefs.h"
1940 /* System header to define __stub macros and hopefully few prototypes,
1941 which can conflict with char $ac_func(); below. */
1942 #include <assert.h>
1943 /* Override any gcc2 internal prototype to avoid an error. */
1944 /* We use char because int might match the return type of a gcc2
1945 builtin and then its argument prototype would still apply. */
1946 char $ac_func();
1947
1948 int main() {
1949
1950 /* The GNU C library defines this for functions which it implements
1951 to always fail with ENOSYS. Some functions are actually named
1952 something starting with __ and the normal name is an alias. */
1953 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1954 choke me
1955 #else
1956 $ac_func();
1957 #endif
1958
1959 ; return 0; }
1960 EOF
1961 if { (eval echo configure:1962: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1962 rm -rf conftest*
1963 eval "ac_cv_func_$ac_func=yes"
1964 else
1965 echo "configure: failed program was:" >&5
1966 cat conftest.$ac_ext >&5
1967 rm -rf conftest*
1968 eval "ac_cv_func_$ac_func=no"
1969 fi
1970 rm -f conftest*
1971 fi
1972
1973 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1974 echo "$ac_t""yes" 1>&6
1975 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1976 cat >> confdefs.h <<EOF
1977 #define $ac_tr_func 1
1978 EOF
1979
1980 else
1981 echo "$ac_t""no" 1>&6
1982 fi
1983 done
1984
1985 for ac_func in strtoul
1986 do
1987 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1988 echo "configure:1989: checking for $ac_func" >&5
1989 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1990 echo $ac_n "(cached) $ac_c" 1>&6
1991 else
1992 cat > conftest.$ac_ext <<EOF
1993 #line 1994 "configure"
1994 #include "confdefs.h"
1995 /* System header to define __stub macros and hopefully few prototypes,
1996 which can conflict with char $ac_func(); below. */
1997 #include <assert.h>
1998 /* Override any gcc2 internal prototype to avoid an error. */
1999 /* We use char because int might match the return type of a gcc2
2000 builtin and then its argument prototype would still apply. */
2001 char $ac_func();
2002
2003 int main() {
2004
2005 /* The GNU C library defines this for functions which it implements
2006 to always fail with ENOSYS. Some functions are actually named
2007 something starting with __ and the normal name is an alias. */
2008 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
2009 choke me
2010 #else
2011 $ac_func();
2012 #endif
2013
2014 ; return 0; }
2015 EOF
2016 if { (eval echo configure:2017: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2017 rm -rf conftest*
2018 eval "ac_cv_func_$ac_func=yes"
2019 else
2020 echo "configure: failed program was:" >&5
2021 cat conftest.$ac_ext >&5
2022 rm -rf conftest*
2023 eval "ac_cv_func_$ac_func=no"
2024 fi
2025 rm -f conftest*
2026 fi
2027
2028 if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
2029 echo "$ac_t""yes" 1>&6
2030 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
2031 cat >> confdefs.h <<EOF
2032 #define $ac_tr_func 1
2033 EOF
2034
2035 else
2036 echo "$ac_t""no" 1>&6
2037 LIBOBJS="$LIBOBJS ${ac_func}.${ac_objext}"
2038 fi
2039 done
2040
2041
2042 echo $ac_n "checking for readv""... $ac_c" 1>&6
2043 echo "configure:2044: checking for readv" >&5
2044 if eval "test \"`echo '$''{'ac_cv_func_readv'+set}'`\" = set"; then
2045 echo $ac_n "(cached) $ac_c" 1>&6
2046 else
2047 cat > conftest.$ac_ext <<EOF
2048 #line 2049 "configure"
2049 #include "confdefs.h"
2050 /* System header to define __stub macros and hopefully few prototypes,
2051 which can conflict with char readv(); below. */
2052 #include <assert.h>
2053 /* Override any gcc2 internal prototype to avoid an error. */
2054 /* We use char because int might match the return type of a gcc2
2055 builtin and then its argument prototype would still apply. */
2056 char readv();
2057
2058 int main() {
2059
2060 /* The GNU C library defines this for functions which it implements
2061 to always fail with ENOSYS. Some functions are actually named
2062 something starting with __ and the normal name is an alias. */
2063 #if defined (__stub_readv) || defined (__stub___readv)
2064 choke me
2065 #else
2066 readv();
2067 #endif
2068
2069 ; return 0; }
2070 EOF
2071 if { (eval echo configure:2072: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
2072 rm -rf conftest*
2073 eval "ac_cv_func_readv=yes"
2074 else
2075 echo "configure: failed program was:" >&5
2076 cat conftest.$ac_ext >&5
2077 rm -rf conftest*
2078 eval "ac_cv_func_readv=no"
2079 fi
2080 rm -f conftest*
2081 fi
2082
2083 if eval "test \"`echo '$ac_cv_func_'readv`\" = yes"; then
2084 echo "$ac_t""yes" 1>&6
2085 cat >> confdefs.h <<\EOF
2086 #define HAVE_READV 1
2087 EOF
2088
2089 else
2090 echo "$ac_t""no" 1>&6
2091 echo $ac_n "checking whether iovec needs to be declared""... $ac_c" 1>&6
2092 echo "configure:2093: checking whether iovec needs to be declared" >&5
2093 if eval "test \"`echo '$''{'sr_cv_declare_iovec'+set}'`\" = set"; then
2094 echo $ac_n "(cached) $ac_c" 1>&6
2095 else
2096 sr_cv_declare_iovec=check
2097 fi
2098
2099 if test x$sr_cv_declare_iovec = xcheck; then
2100 if test "$cross_compiling" = yes; then
2101 eval $CROSS_ERROR
2102 else
2103 cat > conftest.$ac_ext <<EOF
2104 #line 2105 "configure"
2105 #include "confdefs.h"
2106 #include <sys/uio.h>
2107 struct iovec { int blah; }
2108 int main (void) {
2109 exit(0);
2110 }
2111 EOF
2112 if { (eval echo configure:2113: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2113 then
2114 sr_cv_declare_iovec=yes
2115 else
2116 echo "configure: failed program was:" >&5
2117 cat conftest.$ac_ext >&5
2118 rm -fr conftest*
2119 sr_cv_declare_iovec=no
2120 fi
2121 rm -fr conftest*
2122 fi
2123
2124 fi
2125 if test x$sr_cv_declare_iovec = xyes; then
2126 cat >> confdefs.h <<\EOF
2127 #define DECLARE_IOVEC 1
2128 EOF
2129
2130 fi
2131 echo "$ac_t""$sr_cv_declare_iovec" 1>&6
2132
2133 fi
2134
2135
2136 echo $ac_n "checking for gethostid""... $ac_c" 1>&6
2137 echo "configure:2138: checking for gethostid" >&5
2138 if eval "test \"`echo '$''{'sr_cv_gethostid'+set}'`\" = set"; then
2139 echo $ac_n "(cached) $ac_c" 1>&6
2140 else
2141 sr_cv_gethostid=check
2142 fi
2143
2144 if test x$sr_cv_gethostid = xcheck; then
2145 if test "$cross_compiling" = yes; then
2146 eval $CROSS_ERROR
2147 else
2148 cat > conftest.$ac_ext <<EOF
2149 #line 2150 "configure"
2150 #include "confdefs.h"
2151
2152 int main() {
2153 gethostid();
2154 return 0;
2155 }
2156 EOF
2157 if { (eval echo configure:2158: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
2158 then
2159 sr_cv_gethostid=yes
2160 else
2161 echo "configure: failed program was:" >&5
2162 cat conftest.$ac_ext >&5
2163 rm -fr conftest*
2164 sr_cv_gethostid=no
2165 fi
2166 rm -fr conftest*
2167 fi
2168
2169 fi
2170 echo "$ac_t""$sr_cv_gethostid" 1>&6
2171 if test x$sr_cv_gethostid = xyes; then
2172 cat >> confdefs.h <<\EOF
2173 #define HAVE_GETHOSTID 1
2174 EOF
2175
2176 fi
2177
2178 # Check whether --enable-ppp or --disable-ppp was given.
2179 if test "${enable_ppp+set}" = set; then
2180 enableval="$enable_ppp"
2181 :
2182 else
2183
2184 PPPOBJ='$(PPPOBJS)'
2185 USE_PPP=-DUSE_PPP
2186 cat >> confdefs.h <<\EOF
2187 #define DUMMY_PPP 1
2188 EOF
2189
2190 fi
2191
2192
2193
2194
2195 UNAME_MACHINE=`uname -m 2>/dev/null`
2196 UNAME_SYSTEM=`uname -s 2>/dev/null`
2197 case "${UNAME_MACHINE}:${UNAME_SYSTEM}" in
2198 alpha:OSF1)
2199 if test x$GCC = xyes; then
2200 LDFLAGS="$LDFLAGS -T 0x12000000 -Wl,-D -Wl,0x14000000"
2201 else
2202 LDFLAGS="$LDFLAGS -T 0x12000000 -D 0x14000000"
2203 fi ;;
2204 *) ;;
2205 esac
2206
2207
2208
2209 PPPCFLAGS="`echo $CFLAGS $CFLAGS2 | sed -e 's/-W.*//g;'`"
2210
2211
2212 trap '' 1 2 15
2213 cat > confcache <<\EOF
2214 # This file is a shell script that caches the results of configure
2215 # tests run on this system so they can be shared between configure
2216 # scripts and configure runs. It is not useful on other systems.
2217 # If it contains results you don't want to keep, you may remove or edit it.
2218 #
2219 # By default, configure uses ./config.cache as the cache file,
2220 # creating it if it does not exist already. You can give configure
2221 # the --cache-file=FILE option to use a different cache file; that is
2222 # what configure does when it calls configure scripts in
2223 # subdirectories, so they share the cache.
2224 # Giving --cache-file=/dev/null disables caching, for debugging configure.
2225 # config.status only pays attention to the cache file if you give it the
2226 # --recheck option to rerun configure.
2227 #
2228 EOF
2229 # The following way of writing the cache mishandles newlines in values,
2230 # but we know of no workaround that is simple, portable, and efficient.
2231 # So, don't put newlines in cache variables' values.
2232 # Ultrix sh set writes to stderr and can't be redirected directly,
2233 # and sets the high bit in the cache file unless we assign to the vars.
2234 (set) 2>&1 |
2235 case `(ac_space=' '; set | grep ac_space) 2>&1` in
2236 *ac_space=\ *)
2237 # `set' does not quote correctly, so add quotes (double-quote substitution
2238 # turns \\\\ into \\, and sed turns \\ into \).
2239 sed -n \
2240 -e "s/'/'\\\\''/g" \
2241 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
2242 ;;
2243 *)
2244 # `set' quotes correctly as required by POSIX, so do not add quotes.
2245 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
2246 ;;
2247 esac >> confcache
2248 if cmp -s $cache_file confcache; then
2249 :
2250 else
2251 if test -w $cache_file; then
2252 echo "updating cache $cache_file"
2253 cat confcache > $cache_file
2254 else
2255 echo "not updating unwritable cache $cache_file"
2256 fi
2257 fi
2258 rm -f confcache
2259
2260 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
2261
2262 test "x$prefix" = xNONE && prefix=$ac_default_prefix
2263 # Let make expand exec_prefix.
2264 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
2265
2266 # Any assignment to VPATH causes Sun make to only execute
2267 # the first set of double-colon rules, so remove it if not needed.
2268 # If there is a colon in the path, we need to keep it.
2269 if test "x$srcdir" = x.; then
2270 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
2271 fi
2272
2273 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
2274
2275 DEFS=-DHAVE_CONFIG_H
2276
2277 # Without the "./", some shells look in PATH for config.status.
2278 : ${CONFIG_STATUS=./config.status}
2279
2280 echo creating $CONFIG_STATUS
2281 rm -f $CONFIG_STATUS
2282 cat > $CONFIG_STATUS <<EOF
2283 #! /bin/sh
2284 # Generated automatically by configure.
2285 # Run this file to recreate the current configuration.
2286 # This directory was configured as follows,
2287 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
2288 #
2289 # $0 $ac_configure_args
2290 #
2291 # Compiler output produced by configure, useful for debugging
2292 # configure, is in ./config.log if it exists.
2293
2294 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
2295 for ac_option
2296 do
2297 case "\$ac_option" in
2298 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2299 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
2300 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
2301 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
2302 echo "$CONFIG_STATUS generated by autoconf version 2.13"
2303 exit 0 ;;
2304 -help | --help | --hel | --he | --h)
2305 echo "\$ac_cs_usage"; exit 0 ;;
2306 *) echo "\$ac_cs_usage"; exit 1 ;;
2307 esac
2308 done
2309
2310 ac_given_srcdir=$srcdir
2311
2312 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
2313 EOF
2314 cat >> $CONFIG_STATUS <<EOF
2315
2316 # Protect against being on the right side of a sed subst in config.status.
2317 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
2318 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
2319 $ac_vpsub
2320 $extrasub
2321 s%@SHELL@%$SHELL%g
2322 s%@CFLAGS@%$CFLAGS%g
2323 s%@CPPFLAGS@%$CPPFLAGS%g
2324 s%@CXXFLAGS@%$CXXFLAGS%g
2325 s%@FFLAGS@%$FFLAGS%g
2326 s%@DEFS@%$DEFS%g
2327 s%@LDFLAGS@%$LDFLAGS%g
2328 s%@LIBS@%$LIBS%g
2329 s%@exec_prefix@%$exec_prefix%g
2330 s%@prefix@%$prefix%g
2331 s%@program_transform_name@%$program_transform_name%g
2332 s%@bindir@%$bindir%g
2333 s%@sbindir@%$sbindir%g
2334 s%@libexecdir@%$libexecdir%g
2335 s%@datadir@%$datadir%g
2336 s%@sysconfdir@%$sysconfdir%g
2337 s%@sharedstatedir@%$sharedstatedir%g
2338 s%@localstatedir@%$localstatedir%g
2339 s%@libdir@%$libdir%g
2340 s%@includedir@%$includedir%g
2341 s%@oldincludedir@%$oldincludedir%g
2342 s%@infodir@%$infodir%g
2343 s%@mandir@%$mandir%g
2344 s%@version@%$version%g
2345 s%@CC@%$CC%g
2346 s%@CPP@%$CPP%g
2347 s%@PERL@%$PERL%g
2348 s%@MAKEPRO@%$MAKEPRO%g
2349 s%@DASH_POSIX@%$DASH_POSIX%g
2350 s%@LIBOBJS@%$LIBOBJS%g
2351 s%@PPPOBJ@%$PPPOBJ%g
2352 s%@USE_PPP@%$USE_PPP%g
2353 s%@CFLAGS2@%$CFLAGS2%g
2354 s%@PPPCFLAGS@%$PPPCFLAGS%g
2355
2356 CEOF
2357 EOF
2358
2359 cat >> $CONFIG_STATUS <<\EOF
2360
2361 # Split the substitutions into bite-sized pieces for seds with
2362 # small command number limits, like on Digital OSF/1 and HP-UX.
2363 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
2364 ac_file=1 # Number of current file.
2365 ac_beg=1 # First line for current file.
2366 ac_end=$ac_max_sed_cmds # Line after last line for current file.
2367 ac_more_lines=:
2368 ac_sed_cmds=""
2369 while $ac_more_lines; do
2370 if test $ac_beg -gt 1; then
2371 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
2372 else
2373 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
2374 fi
2375 if test ! -s conftest.s$ac_file; then
2376 ac_more_lines=false
2377 rm -f conftest.s$ac_file
2378 else
2379 if test -z "$ac_sed_cmds"; then
2380 ac_sed_cmds="sed -f conftest.s$ac_file"
2381 else
2382 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
2383 fi
2384 ac_file=`expr $ac_file + 1`
2385 ac_beg=$ac_end
2386 ac_end=`expr $ac_end + $ac_max_sed_cmds`
2387 fi
2388 done
2389 if test -z "$ac_sed_cmds"; then
2390 ac_sed_cmds=cat
2391 fi
2392 EOF
2393
2394 cat >> $CONFIG_STATUS <<EOF
2395
2396 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
2397 EOF
2398 cat >> $CONFIG_STATUS <<\EOF
2399 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
2400 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2401 case "$ac_file" in
2402 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
2403 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
2404 *) ac_file_in="${ac_file}.in" ;;
2405 esac
2406
2407 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
2408
2409 # Remove last slash and all that follows it. Not all systems have dirname.
2410 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2411 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2412 # The file is in a subdirectory.
2413 test ! -d "$ac_dir" && mkdir "$ac_dir"
2414 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
2415 # A "../" for each directory in $ac_dir_suffix.
2416 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
2417 else
2418 ac_dir_suffix= ac_dots=
2419 fi
2420
2421 case "$ac_given_srcdir" in
2422 .) srcdir=.
2423 if test -z "$ac_dots"; then top_srcdir=.
2424 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
2425 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
2426 *) # Relative path.
2427 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
2428 top_srcdir="$ac_dots$ac_given_srcdir" ;;
2429 esac
2430
2431
2432 echo creating "$ac_file"
2433 rm -f "$ac_file"
2434 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
2435 case "$ac_file" in
2436 *Makefile*) ac_comsub="1i\\
2437 # $configure_input" ;;
2438 *) ac_comsub= ;;
2439 esac
2440
2441 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2442 sed -e "$ac_comsub
2443 s%@configure_input@%$configure_input%g
2444 s%@srcdir@%$srcdir%g
2445 s%@top_srcdir@%$top_srcdir%g
2446 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
2447 fi; done
2448 rm -f conftest.s*
2449
2450 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
2451 # NAME is the cpp macro being defined and VALUE is the value it is being given.
2452 #
2453 # ac_d sets the value in "#define NAME VALUE" lines.
2454 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
2455 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
2456 ac_dC='\3'
2457 ac_dD='%g'
2458 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
2459 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
2460 ac_uB='\([ ]\)%\1#\2define\3'
2461 ac_uC=' '
2462 ac_uD='\4%g'
2463 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
2464 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
2465 ac_eB='$%\1#\2define\3'
2466 ac_eC=' '
2467 ac_eD='%g'
2468
2469 if test "${CONFIG_HEADERS+set}" != set; then
2470 EOF
2471 cat >> $CONFIG_STATUS <<EOF
2472 CONFIG_HEADERS="config.h"
2473 EOF
2474 cat >> $CONFIG_STATUS <<\EOF
2475 fi
2476 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
2477 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2478 case "$ac_file" in
2479 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
2480 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
2481 *) ac_file_in="${ac_file}.in" ;;
2482 esac
2483
2484 echo creating $ac_file
2485
2486 rm -f conftest.frag conftest.in conftest.out
2487 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
2488 cat $ac_file_inputs > conftest.in
2489
2490 EOF
2491
2492 # Transform confdefs.h into a sed script conftest.vals that substitutes
2493 # the proper values into config.h.in to produce config.h. And first:
2494 # Protect against being on the right side of a sed subst in config.status.
2495 # Protect against being in an unquoted here document in config.status.
2496 rm -f conftest.vals
2497 cat > conftest.hdr <<\EOF
2498 s/[\\&%]/\\&/g
2499 s%[\\$`]%\\&%g
2500 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
2501 s%ac_d%ac_u%gp
2502 s%ac_u%ac_e%gp
2503 EOF
2504 sed -n -f conftest.hdr confdefs.h > conftest.vals
2505 rm -f conftest.hdr
2506
2507 # This sed command replaces #undef with comments. This is necessary, for
2508 # example, in the case of _POSIX_SOURCE, which is predefined and required
2509 # on some systems where configure will not decide to define it.
2510 cat >> conftest.vals <<\EOF
2511 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
2512 EOF
2513
2514 # Break up conftest.vals because some shells have a limit on
2515 # the size of here documents, and old seds have small limits too.
2516
2517 rm -f conftest.tail
2518 while :
2519 do
2520 ac_lines=`grep -c . conftest.vals`
2521 # grep -c gives empty output for an empty file on some AIX systems.
2522 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
2523 # Write a limited-size here document to conftest.frag.
2524 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
2525 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
2526 echo 'CEOF
2527 sed -f conftest.frag conftest.in > conftest.out
2528 rm -f conftest.in
2529 mv conftest.out conftest.in
2530 ' >> $CONFIG_STATUS
2531 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
2532 rm -f conftest.vals
2533 mv conftest.tail conftest.vals
2534 done
2535 rm -f conftest.vals
2536
2537 cat >> $CONFIG_STATUS <<\EOF
2538 rm -f conftest.frag conftest.h
2539 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
2540 cat conftest.in >> conftest.h
2541 rm -f conftest.in
2542 if cmp -s $ac_file conftest.h 2>/dev/null; then
2543 echo "$ac_file is unchanged"
2544 rm -f conftest.h
2545 else
2546 # Remove last slash and all that follows it. Not all systems have dirname.
2547 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
2548 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2549 # The file is in a subdirectory.
2550 test ! -d "$ac_dir" && mkdir "$ac_dir"
2551 fi
2552 rm -f $ac_file
2553 mv conftest.h $ac_file
2554 fi
2555 fi; done
2556
2557 EOF
2558 cat >> $CONFIG_STATUS <<EOF
2559
2560 EOF
2561 cat >> $CONFIG_STATUS <<\EOF
2562
2563 exit 0
2564 EOF
2565 chmod +x $CONFIG_STATUS
2566 rm -fr confdefs* $ac_clean_files
2567 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
2568